# Enum Class DayOfWeek

java.lang.Object
java.lang.Enum<DayOfWeek>
org.daypilot.date.DayOfWeek

All Implemented Interfaces:
  `Serializable`, `Comparable<DayOfWeek>`, `Constable`

public enum DayOfWeek extends Enum<DayOfWeek>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FRIDAY`
  `MONDAY`
  `SATURDAY`
  `SUNDAY`
  `THURSDAY`
  `TUESDAY`
  `WEDNESDAY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DayOfWeek`
  `fromConstant(int constant)`
  `static DayOfWeek`
  `fromOrdinal(int i)`
  `static DayOfWeek`
  `getDefaultWeekStart()`
  `static DayOfWeek`
  `getDefaultWeekStart(Locale locale)`
  `int`
  `toOrdinal()`
  `static DayOfWeek`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DayOfWeek[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUNDAY

    public static final DayOfWeek SUNDAY

  - ### MONDAY

    public static final DayOfWeek MONDAY

  - ### TUESDAY

    public static final DayOfWeek TUESDAY

  - ### WEDNESDAY

    public static final DayOfWeek WEDNESDAY

  - ### THURSDAY

    public static final DayOfWeek THURSDAY

  - ### FRIDAY

    public static final DayOfWeek FRIDAY

  - ### SATURDAY

    public static final DayOfWeek SATURDAY

- ## Method Details

  - ### values

    public static DayOfWeek[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DayOfWeek valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDefaultWeekStart

    public static DayOfWeek getDefaultWeekStart()

  - ### getDefaultWeekStart

    public static DayOfWeek getDefaultWeekStart(Locale locale)

  - ### toOrdinal

    public int toOrdinal()

  - ### fromOrdinal

    public static DayOfWeek fromOrdinal(int i)

  - ### fromConstant

    public static DayOfWeek fromConstant(int constant)